Subject: [alpine-aports] [PATCH 3/5] testing/perl-log-fu: new aport

From: Nathan Johnson <[email-masked]>
Date: Mon, 29 Feb 2016 15:22:36 -0600

http://search.cpan.org/dist/Log-Fu/
Simplified and developer-friendly screen logging
---
 testing/perl-log-fu/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-log-fu/APKBUILD

diff --git a/testing/perl-log-fu/APKBUILD b/testing/perl-log-fu/APKBUILD
new file mode 100644
index 0000000..6d0c0d4
--- /dev/null
+++ b/testing/perl-log-fu/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <[email-masked]>
+# Maintainer: Nathan Johnson <[email-masked]>
+pkgname=perl-log-fu
+_pkgreal=Log-Fu
+pkgver=0.31
+pkgrel=0
+pkgdesc="Simplified and developer-friendly screen logging"
+url="http://search.cpan.org/dist/Log-Fu/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-dir-self perl-constant-generate"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MN/MNUNBERG/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="28354f432e52e5d9b4553259da920068  Log-Fu-0.31.tar.gz"
+sha256sums="2bb1a4353be476ddadff971a48c3e13d2953e005ba7c86f28967335222892ea6  Log-Fu-0.31.tar.gz"
+sha512sums="ae32b5231c44eac0e1e23a863b4d7f57a0d3018516c6b121cd19034e52adbf5875e9bbc3468a808b64829d6992e8b7303ff3d62129670befe38bc75d28e03eff  Log-Fu-0.31.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---